'this short basic program uses all 8 cogs.
' they are all printing and then waiting a certain amount of time.
' the time spent waiting is set differently for each cog.
'
#ifdef __P2__
  const LED1 = 56
  const _clkfreq = 200_000_000
#endif


sub toastedbun(ms)
  do
    print "Toasted-Bun ";
    pausems(ms)
  loop
end sub

sub meat(ms)
  do
    print "Meat ";
    pausems(ms)
  loop
end sub

sub lettuce(ms)
  do
    print "Lettuce ";
    pausems(ms)
  loop
end sub

sub tomato(ms)
  do
    print "Tomato ";
    pausems(ms)
  loop
end sub

sub onion(ms)
  do
    print "Onion ";
    pausems(ms)
  loop
end sub

sub cheese(ms)
  do
    print "Cheese ";
    pausems(ms)
  loop
end sub

sub pickles(ms)
  do
    print "Pickles ";
    pausems(ms)
  loop
end sub

dim shared toastedbun_stack(63)
dim shared meat_stack(63)
dim shared lettuce_stack(63)
dim shared tomato_stack(63)
dim shared onion_stack(63)
dim shared cheese_stack(63)
dim shared pickles_stack(63)

' start up other CPUS
Print "Wrapper "
var toastedbun_cpu = cpu( toastedbun(4000), @toastedbun_stack(0) )
var meat_cpu = cpu( meat(2775), @meat_stack(0) )
var lettuce_cpu = cpu( lettuce(1000), @lettuce_stack(0) )
var tomato_cpu = cpu( tomato(1333), @tomato_stack(0) )
var onion_cpu = cpu( onion(1888), @onion_stack(0) )
var cheese_cpu = cpu( cheese(3000), @cheese_stack(0) )
var pickles_cpu = cpu( pickles(2489), @pickles_stack(0) )

do
  print ""
  print "Next Order!"
  pausems(4000)
loop
